net.sourceforge.pmd.cpd

## Class XMLRenderer

- java.lang.Object
- - net.sourceforge.pmd.cpd.XMLRenderer

All Implemented Interfaces:
  Renderer

    public final class XMLRenderer
    extends Object
    implements Renderer

Author:
  Philippe T'Seyen - original implementation, Romain Pelisse - javax.xml implementation

### Constructor Summary

Constructors
Constructor and Description
`XMLRenderer()` Creates a XML Renderer with the default (platform dependent) encoding.
`XMLRenderer(String encoding)` Creates a XML Renderer with a specific output encoding.

### Method Summary

Methods
`String` `render(Iterator<Match> matches)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLRenderer

    public XMLRenderer()

Creates a XML Renderer with the default (platform dependent) encoding.

#### XMLRenderer

    public XMLRenderer(String encoding)

Creates a XML Renderer with a specific output encoding.

Parameters:
  `encoding` - the encoding to use

### Method Detail

#### render

    public String render(Iterator<Match> matches)

Specified by:
  `render` in interface `Renderer`